
html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #eaf9ff;
}

.column{
	float: left;
	width: 50%;
	padding: 3%  10% 1% 10%;
	text-align: center;
}

.nav-bar .navbar {
    background-color: #006a84;
    height: 50px;
    display: flex;
    align-items: center;
    border-bottom: 2px solid #005a70;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%; 
    z-index: 1000;     
    box-sizing: border-box;
}

.nav-bar .nav-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-bar .nav-container a {
    text-decoration: none;
}

.nav-bar .navbar {
    background-color: #006a84;
    padding: 10px 40px;
    height: 50px;
    display: flex;
    align-items: center;
    border-bottom: 2px solid #005a70;
}

.nav-bar .nav-brand {
    color: white;
    font-size: 18px;
    font-weight: 500;
	font-weight: bold;
}

.nav-bar .nav-links {
    list-style: none;
    display: flex;
    gap: 30px;
    margin: 0;
    padding: 0;
	gap: 80px;
}

.mobile-search, .close-menu {
    display: none;
}

.nav-bar .nav-links li a {
    color: white;
    text-decoration: none;
    font-size: 14px;
    transition: opacity 0.3s;
}

.nav-bar .search-container {
    position: relative;
    display: flex;
    align-items: center;
}

.nav-bar .search-input {
    background-color: white;
    border: none;
    border-radius: 20px;
    padding: 5px 15px;
    width: 200px;
    height: 25px;
    outline: none;
}

.nav-bar .search-img {
    position: absolute;
    right: 12px;
    
    width: 16px; 
    height: 16px;
    
    object-fit: contain;
    cursor: pointer;
    opacity: 0.6;
}

.nav-bar .nav-links li a:hover {
    opacity: 0.8;
}
.main-container {
    display: flex;
    height: calc(100vh - 60px);
    background-color: #eaf9ff;
}

.main-container {
	display: flex;
    margin-top: 50px;
    height: 100vh;
    background-color: #eaf9ff;
    overflow: hidden;
}
.sidebar {
    margin-top: 10px;
    width: 200px;
    height: 90%;
    background-color: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px;
	margin-left: 50px;
}

.sidebar-logo img {
    width: 160px;   
}

.icon-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
    justify-items: center;
}

.app-icon {
    width: 55px;
    height: 55px;
    cursor: pointer;
	transition: transform 0.1s ease;
	margin: 0;
}

.icon-grid .btn-link {
    grid-column: 1 / span 2;
    display: flex;
    justify-content: center;
    text-decoration: none;  
}

.icon-grid .appicononly {
    width: 55px; 
    height: 55px;
    cursor: pointer;
    transition: transform 0.1s ease;
}

.icon-grid .btn-link:hover .appicononly {
    transform: scale(1.1);
}

.icon-grid .btn .appicononly  {
    width: 55px;
    height: 50px;
    cursor: pointer;
	transition: transform 0.1s ease;
    grid-column: 1 / span 2; 
    display: flex;
}


.app-icon:hover {
    transform: scale(1.1);
}

.sidebar-footer {
    margin-top: auto;
}

.siigo-logo {
    width: 55px;
    border: 1px solid #ccc;
    border-radius: 8px;
	background: #000;
}

.main-content {
	margin-top: 50px;
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px;
	gap: 100px;
}

.hero-title {
    font-size: 3.5rem;
    font-weight: bold;
    color: #000;
    margin: 0;
}

.atom-image img {
    width: 300px;
	/*animation: rotar 5s linear infinite;*/
}



/*@keyframes rotar{
	from{
		transform: rotateY(180deg);
	}
	to {
		transform: rotateY(-180deg);
	}
}*/

.social-bar {
    display: flex;
    gap: 20px;
}

.social-img {
    width: 35px;
    height: 35px;
    cursor: pointer;
}

.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    gap: 4px;
}

.bar {
    width: 25px;
    height: 3px;
    background-color: white; 
    transition: 0.3s;
}

/*Tablets*/
@media (max-width: 1024px){

}

@media (max-width: 860px) {

    html, body {
        overflow-y: auto;
        height: auto;
    }

    .main-container {
        flex-direction: column;
        height: auto;
        overflow: visible;
        padding-bottom: 50px;
        width: 100%;
    }

    .main-content {
        order: 1;
        gap: 30px;
    }

    .hero-title {
        font-weight: bold;
        padding-top: 20px;
        padding-bottom: 10px;
        font-size: 2.0rem;
        text-align: center;
    }

    .atom-image img {
        width: 250px;
    }

    .social-bar {
        margin-top: 50px;
        order: 2;
    }

    .sidebar-logo img {
        width: 150px;
    }

    .icon-grid {
        grid-template-columns: repeat(5, 1fr); 
        gap: 10px;
        padding: 20px;
        cursor: pointer;
    }

    .app-icon {
        width: 60px;
        height: 60px;
        cursor: pointer !important;
        position: relative;
        z-index: 10;
    }

    .sidebar-footer {
        margin-top: 30px;
    }

    .icon-grid .btn-link {
        grid-column: 3;
        display: flex;
        text-decoration: none;
    }

        .icon-grid .btn-link .appicononly {
        width: 60px;
        height: 60px;
        cursor: pointer;
        transition: transform 0.1s ease;
        }

    .sidebar {
        order: 3;
        width: 100%;
        margin-left: 0;
        height: auto;
        padding: 20px 0;
        
    padding-bottom: 60px;
    }   

    .nav-bar .nav-links {
        display: flex;
        flex-direction: column;
        gap: 15px ; 
        position: fixed ;
        top:50px;
        left: -100%; 
        width: 80%; 
        height: calc(100vh - 60px); 
        background-color: #006a84;
        transition: left 0.4s ease;
        z-index: 2000;
        padding: 20px;
        margin: 0;
        list-style: none;
    }

    .mobile-search label {
        color: white;
        margin-top: 100px;
    }
    
    .menu-toggle {
        display: flex;
        flex-direction: column;
        cursor: pointer;
        gap: 0; 
        padding: 5px;
        z-index: 4000;
    }

    .navbar .search-container {
        display: none;
    }

    .nav-bar .nav-links .mobile-search {
        display: flex !important;
        flex-direction: column !important;
        gap: 15px;
    }

    .nav-bar .nav-links .mobile-search label {
        margin: 0; 
        font-size: 14px;
    }

    .search-box {
        position: relative;
        width: 100%;
        display: flex;
        align-items: center;
    }

    .search-box input {
        width: 100%;
        height: 35px;
        border-radius: 20px;
        border: none;
        padding: 0 40px 0 15px;
        outline: none;
    }

    .search-icon-inner {
        position: absolute;
        right: 15px; 
        width: 16px;
        height: 16px;
        opacity: 0.5;
    }


    .nav-links.active {
        left: 0;
    }

    .nav-links li {
        margin: 0;
        text-align: left;
        padding: 5px 0
    }

    .nav-links li a {
        color: white;
        font-size: 1.2rem;
        text-decoration: none;
        display: block;
    }

    .menu-toggle.is-active .bar:nth-child(1) {
        transform: translateY(10px) rotate(45deg);
    }

    .menu-toggle.is-active .bar:nth-child(2) {
        opacity: 0;
        transform: translateX(-10px);
    }

    .menu-toggle.is-active .bar:nth-child(3) {
        transform: translateY(-10px) rotate(-45deg);
    }

    .bar {
        width: 30px;
        height: 4px; 
        background-color: white;
        margin: 6px 0;
        transition: all 0.3s ease-in-out;
        display: block;
        transform-origin: center; 
        border-radius: 2px;
    }

    .bar {
        width: 30px;
        height: 3px;
        background-color: white;
        margin: 3.6px 0;
        transition: all 0.3s ease-in-out;
        display: block;
    }
}

